<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;

interface WriterInterface
{
    public function write(TableMappingDefinition $tableMappingDefinition, $data): void;

    public function handleExtra(TableMappingDefinition $tableMappingDefinition): void;
}
